jQuery.editProfileStart = function() {
	if(theme=="dark"){
		$(".darkloader").attr("src", "img/loader-black-2.gif");
	}

	if($.isIos()){
		$("#editProfileDropDown").css("top","70px");
	}

	$.loginLoadSession(function(){
			$.editProfileUpdate();
			$.profileUpdate();
	});

}

var editProfileAvatarUploading = false;

jQuery.editProfileUpdate = function() {
	$.startHeaderFade("client-bg", "anchor");

	$.profileRefreshAvatar();

	$("#perfilUserNameLabel").html('@'+uUserName);
	$("#editPerfilName").val(uName);
	$("#editPerfilUserName").val(uUserName);
	$("#editPerfilPhone").val(uPhone);
	$("#editPerfilEmail").val(uEmail);
	$("#editPerfilBirthday").val(uBirthday);
	$("#editProfileCPF").val(uCPF);

	if(uGender){
		$('#editProfileGender option[value="'+uGender+'"]').prop('selected', true);
		//$("#editProfileGender").val(uGender);
	} else {
		//$("#editProfileGender").val("");
	}

	$("#street").val(uStreet);
	$("#number").val(uNumber);
	$("#zip").val(uZip);
	$("#district").val(uDistrict);
	$("#city").val(uCity);
	$("#stateCode").val(uStateCode);
	$("#complement").val(uComplement);

	$("#zip").bind("input blur", function() {
	  	var cep = $( this ).val();
	  	//59150140 - 8 digitos
	  	if(cep.length == 8){
	  		$.editProfileCep(cep, this);
	  	}
        //59150-140 - 9 dígitos
        else if (cep.length == 9){
            $.editProfileCep(cep.replace("-", ""), this);
        }
	});

	if(dhoneDevice == "Android"){
		$("#profile_upload").dhoneBind($.profileUploadAvatar);
	} else {
		$("#profile_upload").dhoneBind($.imageSelectEditProfile);

		$('#imageUpload').change( function(event) {
			$.imageSelectedSend();
			//var tmppath = URL.createObjectURL(event.target.files[0]);
		});

	}

	if(uHasPassword){
		$("#btnEditProfilePasswordLabel").html("Alterar senha");
		//$("#editPerfilNewPassword").attr("placeholder","Alterar senha");
		//$("#editPerfilPassword").show();
	} else {
		$("#btnEditProfilePasswordLabel").html("Criar senha");
		//$("#editPerfilNewPassword").attr("placeholder","Criar senha");
		//$("#editPerfilPassword").hide();
	}

	$.profileResetPassword();

	//$("#editPerfilPhone").mask("(99) 9999-9999?9");
	$.dhonePhone("#editPerfilPhone");
	$("#editProfileCPF").mask("999.999.999-99");
	$("#zip").mask("99999-999");
	//$(element).val().replace(/()-/g,'');

	$("#profile_userid").val(uUserId);
	$("#profile_usertoken").val(uAuthToken);

	$("#loadEditProfile").hide();
	$("#editProfileContainer").fadeIn();
}

jQuery.editProfileCep = function(cep,input){
	var loadiv = $(input).parent();
	loadiv.find(".loader-input").show();
	//load ON
	var jqxhr = $.getJSON("http://viacep.com.br/ws/"+cep+"/json/unicode/", function(json) {
	  console.log(json);
	  if(json.erro){
	  	console.log("erro");
	  	$.showMsg("Alerta", "CEP "+cep+" não encontrado");
	  } else {
	  	$("#street").val(json.logradouro);
	  	$("#district").val(json.bairro);
	  	//$("#inputnumber").val();
	  	//$("#inputcomplement").val(json.complemento);
	  	$("#city").val(json.localidade);
	  	$("#stateCode").val(json.uf);
	  }
	  loadiv.find(".loader-input").hide();
	}).fail(function() {
		$.showMsg("Alerta", "CEP inválido");
	    loadiv.find(".loader-input").hide();
	});
}

jQuery.editProfilePassword = function(){
	if(uHasPassword){
		$.modalShow("editpassword",function(){
			$("#editPasswordLabel").html("Alterar senha");
		});
	} else {
		$.modalShow("editpassword",function(){
			$("#editPasswordLabel").html("Criar senha");
			$("#editPasswordErr").remove();
			$("#editRememberPassword").remove();
		});
	}
}

jQuery.editProfile = function(){
	$.profileResetEditErr();
	var error = 0;

	var testName = $("#editPerfilName").val().split(" ");
	if(testName.length < 2 || testName[0].length < 2 || testName[1].length < 2){
		$.openInputError("#editPerfilNameerr");
		//$("#create_usernameerrtext").html("Digite seu nome e sobrenome. <img src=\"img/triangle-red.png\">");
		error = 1;
	}

	//VALIDA DATA
	var patternData = /^[0-9]{4}\-[0-9]{2}\-[0-9]{2}$/;
	var birthday = $("#editPerfilBirthday").val();
	// if(!(birthday=="" || birthday=="0" || patternData.test(birthday))){
	// 	$.openInputError("#useredit_birthdayerr");
	// 	error = 1;
	// }

	var patternUsername =/^[a-z0-9]+$/;
	var editProfileUserName = $("#editPerfilUserName").val();
	editProfileUserName = editProfileUserName.toLowerCase();
	$("#editPerfilUserName").val(editProfileUserName);
	if(!patternUsername.test(editProfileUserName)){
		$("#useredit_usernameerrtext").html("Só é permitido letras e números, sem espaço. <i class=\"mdi mdi-menu-down arrow-tooltip\"></i>");
		$.openInputError("#useredit_usernameerr");
		error = 1;
	}

	// if(!$("#editPerfilBirthday").val()){
	// 	$.openInputError("#useredit_birthdayerr");
	// 	error = 1;
	// }

	if($("#editProfileCPF").val()!="" && !$.cpfValidator($("#editProfileCPF").val().replace(/\.|-/g,''))){
		$.openInputError("#useredit_cpferr");
		error = 1;
	}

	if(error){
		return;
	}

	var sex = $( "#editProfileGender option:selected" ).val();//$('input[name=sex]:checked').val();
	if (typeof sex == 'undefined'){
		sex = "";
	}

	/*
	var confirmation = "y";
	if(uHasPassword){
		confirmation = $("#editPerfilPassword").val();
	}
	*/
	editProfileOkDeferred = $.Deferred();
	editProfileOkDeferred.promise();
	editProfileDeferred = $.Deferred();
    editProfileDeferred.promise();
    //$("#loadEditProfile").slideDown(300,function(){editProfileDeferred.resolve();});
    $("#editProfileOk").hide();
    $("#editProfileLoader").show();
    //$("#editProfileDropDown").slideDown(300,function(){
    $("#editProfileDropDown").animate({marginTop:'0px'},function(){
    	editProfileDeferred.resolve();
    });
	$.server("edituser?client="+clientId
			+"&device="+$.deviceId()
			+"&id="+uUserId
			+"&name="+$("#editPerfilName").val()
			+"&email="+$("#editPerfilEmail").val()
			+"&username="+$("#editPerfilUserName").val()
			+"&gender="+sex
			+"&birthday="+birthday
			+"&street="+$("#street").val()
			+"&number="+$("#number").val()
			+"&zip="+$("#zip").val()
			+"&district="+$("#district").val()
			+"&city="+$("#city").val()
			+"&stateCode="+$("#stateCode").val()
			+"&complement="+$("#complement").val()
			+"&cpf="+$("#editProfileCPF").val().replace(/\.|-/g,'')
			//+"&password="+$("#editPerfilNewPassword").val()
			+"&phone="+$("#editPerfilPhone").val()
			+"&actualusername="+uUserName
			+"&actualemail="+uEmail
			//+"&actualpassword="+confirmation
			,function(json){
				$.when(editProfileDeferred).done(function(){
                    //$("#loadEditProfile").slideUp(300);
                    //$("#editProfileDropDown").slideUp(300, function(){editProfileOkDeferred.resolve();});
                    $("#editProfileDropDown").animate({marginTop:'-50px'},function(){editProfileOkDeferred.resolve();});
                });

				var erro = 0;
				if(json.loginerr==1){
					$("#useredit_usernameerrtext").html("Nome de usuário já cadastrado. <i class=\"mdi mdi-menu-down arrow-tooltip\"></i>");
					$.openInputError("#useredit_usernameerr");
					erro = 1;
				}

				if(json.emailerr==1){
					$.openInputError("#useredit_emailerr");
					erro = 1;
				}
				/*
				if(json.passworderr==1){
					$.openInputError("#useredit_passworderr");
					if(!uHasPassword){
						$("#useredit_passworderrtext").html("Cadastre uma senha. Ela deve possuir 8 ou mais caracteres. <i class=\"mdi mdi-menu-down arrow-tooltip\"></i>");
					} else {
						$("#useredit_passworderrtext").html("Senha deve possuir 8 ou mais caracteres. <i class=\"mdi mdi-menu-down arrow-tooltip\"></i>");
					}

					erro = 1;
				}
				if(json.confirmationerr==1){
					$.openInputError("#useredit_confirmationerr");
					erro = 1;
				}
				*/
				if(erro == 0){
					$.profileResetPassword();//apagar senhas
					json.avatar = -1;//codigo para evitar troca de avatar
					$.jsonLogin(json);
					$.profileUpdate();
					$.when(editProfileOkDeferred).done(function(){
						$("#editProfileOk").show();
    					$("#editProfileLoader").hide();
    					$("#editProfileOk").find("h3").html("Perfil atualizado.");
    					//$("#editProfileDropDown").slideDown(300,function(){
    					$("#editProfileDropDown").animate({marginTop:'0px'},function(){
    						setTimeout(function(){
    							//$("#editProfileDropDown").slideUp(300);
    							$("#editProfileDropDown").animate({marginTop:'-50px'});
    						},2000);
    					});
					});
					//$.showMsg("Parabéns", "Perfil alterado com sucesso.");
				}
			}, "modal");
}

jQuery.profileResetPassword = function(){
	$("#editPerfilPassword").val("");
	$("#editPerfilNewPassword").val("");
}

jQuery.profileResetEditErr = function(){
	var inputerr = $("#useredit_passworderr");
	inputerr.find(".tooltip").hide();
	inputerr.removeClass("error-field");

	var inputerr = $("#useredit_confirmationerr");
	inputerr.find(".tooltip").hide();
	inputerr.removeClass("error-field");

	var inputerr = $("#useredit_usernameerr");
	inputerr.find(".tooltip").hide();
	inputerr.removeClass("error-field");

	var inputerr = $("#useredit_emailerr");
	inputerr.find(".tooltip").hide();
	inputerr.removeClass("error-field");

	var inputerr = $("#useredit_birthdayerr");
	inputerr.find(".tooltip").hide();
	inputerr.removeClass("error-field");

	var inputerr = $("#useredit_cpferr");
	inputerr.find(".tooltip").hide();
	inputerr.removeClass("error-field");

	var inputerr = $("#editPerfilNameerr");
	inputerr.find(".tooltip").hide();
	inputerr.removeClass("error-field")


}

jQuery.profileRefreshAvatar = function() {
	$("#editPerfilAvatar").attr("src",uAvatar);
	$.initProfileAvatarUpdate();
}

jQuery.editProfilePasswordSave = function(){
	//TODO VERIFICAR SENHA E CONFIRMAR SENHA
	$.modalResetErr("#editPasswordErr");
	$.modalResetErr("#editPasswordNewErr");
	$.modalResetErr("#editPasswordNewConfirmationErr");

	var confirmation = "y";
	if(uHasPassword){
		confirmation = $("#editPassword").val();
	}

	if($("#editPasswordNewConfirmation").val() != $("#editPasswordNew").val()){
		$.openInputError("#editPasswordNewConfirmationErr");
		return;
	}

	$.server("passwordchange?client="+clientId
			+"&device="+$.deviceId()
			+"&id="+uUserId
			+"&password="+$("#editPasswordNew").val()
			+"&actualpassword="+confirmation
			,function(json){
				var erro = 0;
				if(json.loginerr==1){
					erro = 1;
				}

				if(json.emailerr==1){
					erro = 1;
				}

				if(json.passworderr==1){
					$.openInputError("#editPasswordNewErr");
					erro = 1;
				}
				if(json.confirmationerr==1){
					$.openInputError("#editPasswordErr");
					erro = 1;
				}

				if(erro == 0){
					//$.profileResetPassword();//apagar senhas
					//json.avatar = -1;//codigo para evitar troca de avatar
					//$.jsonLogin(json);
					//$.profileUpdate();

					if(uHasPassword){
						$.showMsg("Parabéns","Senha alterada com sucesso.");
					} else {
						$.showMsg("Parabéns","Senha cadastrada com sucesso.");
					}

					uHasPassword = 1;
					$.editProfileUpdate();
				}
			}, "modal");
}

/***********************************************************************************
*******************************ENVIO DE IMAGEM**************************************
************************************************************************************/

jQuery.editProfileStartingUploadAvatar = function(){
	editProfileAvatarUploading = true;
	$("#editPerfilAvatar").attr("src", "./img/loader-avatar.gif");
	$("#profileUploadAvatarLabel").html("Enviando...");
}


//FILECHOOSER ANDROID
jQuery.profileUploadAvatar = function() {
	if (!editProfileAvatarUploading){
		fileChooser.open($.profileUploadSelectedAvatar);
	}

}

//ENVIO DE IMAGEM ANDROID
jQuery.profileUploadSelectedAvatar = function(uri){
	$.editProfileStartingUploadAvatar();

	var win = function (r) {
		//$.showMsg("Parabéns","Foto alterada com sucesso.");
		$("#editProfileOk").show();
		$("#editProfileLoader").hide();
		$("#editProfileOk").find("h3").html("Foto alterada.");
		//$("#editProfileDropDown").slideDown(300,function(){
		$("#editProfileDropDown").animate({marginTop:'0px'},function(){
			setTimeout(function(){
				//$("#editProfileDropDown").slideUp(300);
				$("#editProfileDropDown").animate({marginTop:'-50px'});
			},2000);
		});
		uAvatar = JSON.parse(r.response);//r.response.replace(/"/g,"");
		$.profileRefreshAvatar();
		$.loginUpdateAside();
		editProfileAvatarUploading = false;
		$("#profileUploadAvatarLabel").html("Alterar foto");
	}

	var fail = function (error) {
		$.showMsg("Atenção","Falha no envio da imagem.");

		//alert(JSON.stringify(error));
	}

	var options = new FileUploadOptions();
	options.fileKey = "file";
	options.fileName = "arquivo.jpg";//fileURL.substr(fileURL.lastIndexOf('/') + 1);
	options.mimeType = "image/jpeg";

	var params = {};
	params.client = clientId;
	params.id = uUserId;
	params.token = uAuthToken;
	//params.value2 = "param";

	options.params = params;

	var ft = new FileTransfer();
	//ft.upload(uri, encodeURI(serverURL+clientFolder+"/index.php"), win, fail, options, true);
	ft.upload(uri, encodeURI(serverURL+"avatarsave"), win, fail, options, true);
	//ft.upload(uri, encodeURI(serverURL+"/upload.php"), win, fail, options, true);
}

//CLICK DA IMAGEM - IOS e BROWSER
jQuery.imageSelectEditProfile = function() {
	if (!editProfileAvatarUploading){
    	$('#imageUpload').click();
    }
}

//EVENTO QUE TRATA O ENVIO DA IMAGEM - IOS e BROWSER
jQuery.imageSelectedSend = function(event) {
	$.editProfileStartingUploadAvatar();

	var options = {
        //target:        '#output2',   	// target element(s) to be updated with server response
        //beforeSubmit:  showRequest, 	// pre-submit callback
        success: 	$.profilePostForm,  // post-submit callback
        //url: serverURL+clientFolder+"/index.php"	// override for form's 'action' attribute
        url: serverURL+"avatarsave?client="+clientId	// override for form's 'action' attribute
        //type:      type        		// 'get' or 'post', override for form's 'method' attribute
        //dataType:  null        		// 'xml', 'script', or 'json' (expected server response type)
        //clearForm: true        		// clear all form fields after successful submit
        //resetForm: true        		// reset the form after successful submit
    };

    $("#profile_avatarform").ajaxSubmit(options);
	//alert($("#imageUpload").files[0]);
	//alert(event.target.files[0]);
	//$.profileUploadSelectedAvatar($("#imageUpload").val());
}

//ENVIO DE IMAGEM - IOS e BROWSER - Retorno
jQuery.profilePostForm = function(responseText, statusText, xhr, $form){
	//var json = $.parseJSON(responseText);
	//$.showMsg("Parabéns","Foto alterada com sucesso.");
	$("#editProfileOk").show();
	$("#editProfileLoader").hide();
	$("#editProfileOk").find("h3").html("Foto alterada.");
	//$("#editProfileDropDown").slideDown(300,function(){
	$("#editProfileDropDown").animate({marginTop:'0px'},function(){
		setTimeout(function(){
			//$("#editProfileDropDown").slideUp(300);
			$("#editProfileDropDown").animate({marginTop:'-50px'});
		},2000);
	});
	uAvatar = responseText;
	$.profileRefreshAvatar();
	$.loginUpdateAside();
	editProfileAvatarUploading = false;
	$("#profileUploadAvatarLabel").html("Alterar foto");
}
