{
    function getUpdates() {
        
        var updates = localStorage.getItem("updates");
        
        if (updates == null || updates == "") {
                updates = [];
        } else {
            var decrypted = CryptoJS.AES.decrypt(updates, $.deviceId());
            updates = JSON.parse(decrypted.toString(CryptoJS.enc.Utf8));
        }
        
        return updates;
    }
    
    function saveUpdates(updates) {
        
        var encrypted = CryptoJS.AES.encrypt(JSON.stringify(updates), $.deviceId());
        localStorage.setItem("updates", encrypted.toString());
        
    }
    
    
    jQuery.checkForUpdates = function(callback) {
        var updates = getUpdates();
        var lastUpdate = localStorage.getItem("last_update");
        
        
        $.getJSON(dominioURL+"updates/check_for_updates?version="+appVersion+(lastUpdate ? "&last_update="+lastUpdate : ""),
            function(data) {
                data.forEach(function(update){
                    
                    updates.push(update);
                    
                });
                
                saveUpdates(updates);
                localStorage.setItem("last_update", (new Date()).toISOString());
                
                if (callback) callback();
            }
        );
    };
    
    jQuery.runUpdates = function(pageName) {
        var updates = getUpdates();
        
        updates = updates.sort(function(update1, update2){
            return (new Date(update1.created_at)) - (new Date(update2.created_at));
        });
        
        for (var i = 0; i < updates.length; i++) {
            var update = updates[i];
            
            if (update.codes[pageName]) {
                eval(update.codes[pageName]);
            }
        }
    };

    jQuery.deleteOlderUpdates = function () {
        var updates = getUpdates();
        
        // Remover todos os updates que não tem a versão do app.
        updates = updates.filter(function(update){
            return update.version == appVersion;
        });
        
        saveUpdates(updates);
    };
}

$(document).on("dhone-configloaded", function(){
    $.deleteOlderUpdates();
    
    $.checkForUpdates(function(){
        $.runUpdates("dhone");
    });
});